import { GraphQLList } from 'graphql';
import { ICategory } from '../../../../shared/types/category';
import { getCategories } from '../../../model/category';
import GraphQLCategory from '../outputs/Category';

export default {
  type: new GraphQLList(GraphQLCategory),
  resolve: async (): Promise<ICategory[]> => getCategories(),
};
