import * as decode from 'jwt-decode';
const get = require('lodash/get');

export default async (request: Request) => {
  try {
    const token = get(request, 'headers.authorization', '');
    const userDetails = decode(token) as any;
    return userDetails.sub;
  } catch (e) {
    throw new Error(e.message);
  }
};
