import * as AWS from 'aws-sdk';
import { UserPoolId } from '../../../index';

export default async (userId: string) => {
  const filter = 'sub = "' + userId + '"';
  const params = {
    Filter: filter,
    UserPoolId,
  };

  const Pool = new AWS.CognitoIdentityServiceProvider();
  const { Users } = await Pool.listUsers(params).promise();
  if (Users && Users.length === 1) {
    return Users[0];
  }

  return;
};
