import * as moment from 'moment';
import { ICreateScore } from '../../shared/types/score';
import { scoreModel } from '../model/score';

export default async ({ itemId, value, userId }: ICreateScore) => {
  await scoreModel.deleteMany({ itemId, userId });
  return scoreModel.create({
    userId,
    value,
    itemId,
    createdDateTime: moment(),
  });
};
