import { Moment } from 'moment';
import { IArticle } from './article';
import { IUser } from './user';

export interface IComment {
  _id: string;
  article: IArticle;
  text: string;
  createdDateTime: Moment;
  user?: IUser;
  averageScore?: number;
}

export interface ICommentDb {
  _id: string;
  article: IArticle;
  text: string;
  createdDateTime: Moment;
  userId: string;
  averageScore?: number;
}
