import gql from 'graphql-tag';
import { ARTICLE_FRAGMENT } from '../../article/fragments';

export const CREATE_ARTICLE = gql`
  mutation createArticle($data: CreateArticle!) {
    createArticle(data: $data) {
      ...ArticleFragment
    }
  }
  ${ARTICLE_FRAGMENT}
`;

export const EDIT_ARTICLE = gql`
  mutation editArticle($data: EditArticle!) {
    editArticle(data: $data) {
      ...ArticleFragment
    }
  }
  ${ARTICLE_FRAGMENT}
`;

export const DELETE_ARTICLE = gql`
  mutation($_id: String!) {
    deleteArticle(_id: $_id) {
      _id
    }
  }
`;
