import gql from 'graphql-tag';

export const SORT_CATEGORIES = gql`
  mutation($oldIndex: Int!, $newIndex: Int!) {
    sortCategories(oldIndex: $oldIndex, newIndex: $newIndex) {
      _id
      title
      index
    }
  }
`;

export const CREATE_CATEGORY = gql`
  mutation($title: String!) {
    createCategory(title: $title) {
      _id
      title
      index
    }
  }
`;

export const DELETE_CATEGORY = gql`
  mutation($_id: String!) {
    deleteCategory(_id: $_id) {
      _id
      title
      index
    }
  }
`;
