import * as React from 'react';
import { Mutation } from 'react-apollo';
import { CREATE_USER } from '../mutations';
import { USERS } from '../queries';
import CreateUserForm from './CreateUserForm';

const CreateUser = () => (
  <Mutation mutation={CREATE_USER} refetchQueries={[{ query: USERS }]}>
    {(createUser, { loading, error }) => {
      return <CreateUserForm createUser={createUser} isLoading={loading} />;
    }}
  </Mutation>
);

export default CreateUser;
