import * as React from 'react';
import { Mutation } from 'react-apollo';
import { EDIT_USER } from '../mutations';
import EditUserForm from './EditUserForm';

interface IProps {
  user: any;
}

const EditUser = ({ user }: IProps) => (
  <Mutation mutation={EDIT_USER}>
    {(editUser, { loading, error }) => {
      return (
        <EditUserForm user={user} editUser={editUser} isLoading={loading} />
      );
    }}
  </Mutation>
);

export default EditUser;
