import * as React from 'react';
import { ArticleStatuses } from '../../../shared/types/article';

const status = {
  [ArticleStatuses.new]: 'nový',
  [ArticleStatuses.rejected]: 'zamítnutý',
  [ArticleStatuses.published]: 'zveřejněný',
  [ArticleStatuses.updated]: 'upravený',
};

const ArticleStatus = ({ value }: { value: ArticleStatuses }) => (
  <span>{status[value]}</span>
);

export default ArticleStatus;
