import Alert from 'antd/lib/alert';
import * as React from 'react';

interface IProps {
  message: string;
}

const ErrorMessage = ({ message }: IProps) => (
  <Alert
    message="Nastala chyba"
    description={message}
    type="error"
    showIcon={true}
  />
);

export default ErrorMessage;
