import Icon from 'antd/lib/icon';
import Tooltip from 'antd/lib/tooltip';
import * as React from 'react';
import { FacebookShareButton } from 'react-share';
import styled from 'styled-components';

const Wrapper = styled.div`
  cursor: pointer;
  font-size: 16px;

  &:hover {
    color: #1890ff;
  }
`;

const FBShareButton = () => (
  <Tooltip title="Sdílet na Facebook">
    <Wrapper>
      <FacebookShareButton
        url={typeof window !== 'undefined' ? window.location.href : ''}
      >
        <Icon type="facebook" />
      </FacebookShareButton>
    </Wrapper>
  </Tooltip>
);
export default FBShareButton;
