import * as React from 'react';

export default class FormHtmlEditor extends React.Component<any> {
  public ReactQuill: any;

  constructor(props: any) {
    super(props);
    if (typeof window !== 'undefined') {
      this.ReactQuill = require('react-quill');
    }
  }

  public render() {
    const ReactQuill = this.ReactQuill;
    if (typeof window !== 'undefined' && ReactQuill) {
      return (
        <ReactQuill
          defaultValue={this.props.value}
          onChange={this.props.onChange}
        />
      );
    } else {
      return <textarea />;
    }
  }
}
