import * as React from 'react';
import { Groups } from '../../../shared/types/permissions';

const UserRole = ({ value }: { value: string }) => {
  if (value === Groups.admin) {
    return <span>Admin</span>;
  }
  if (value === Groups.office) {
    return <span>Redakce</span>;
  }
  if (value === Groups.registered) {
    return <span>Registrovaný</span>;
  }
  if (value === Groups.external) {
    return <span>Externista</span>;
  }

  return <span />;
};

export default UserRole;
