import * as React from 'react';
import { create } from 'react-test-renderer';
import { ArticleStatuses } from '../../../../shared/types/article';
import ArticleStatus from '../ArticleStatus';

describe('<ArticleStatus />', () => {
  it('should render type ArticleStatuses.new', () => {
    const tree = create(<ArticleStatus value={ArticleStatuses.new} />).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should render type ArticleStatuses.updated', () => {
    const tree = create(
      <ArticleStatus value={ArticleStatuses.updated} />,
    ).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should render type ArticleStatuses.published', () => {
    const tree = create(
      <ArticleStatus value={ArticleStatuses.published} />,
    ).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should render type ArticleStatuses.rejected', () => {
    const tree = create(
      <ArticleStatus value={ArticleStatuses.rejected} />,
    ).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
