import gql from 'graphql-tag';
import {
  ArticleStatuses,
  ArticleTypes,
} from '../../../../shared/types/article';
import { ARTICLE_FRAGMENT } from '../../article/fragments';

export const TOP_ARTICLE = gql`
  query articles {
    articles(type: ${ArticleTypes.aktualne}, status: ${
  ArticleStatuses.published
}, limit: 1) {
      ...ArticleFragment
    }
  }
  ${ARTICLE_FRAGMENT}
`;
