const RULES = {
  CATEGORY_TITLE: {
    rules: [
      {
        message: 'Musíte zadat název kategorie!',
        required: true,
      },
    ],
  },
  ARTICLE_TITLE: {
    rules: [
      {
        message: 'Musíte zadat název článku!',
        required: true,
      },
    ],
  },
  ARTICLE_CATEGORY: {
    rules: [
      {
        message: 'Musíte vybrat kategorii!',
        required: true,
      },
    ],
  },
  ARTICLE_IMAGE: {
    rules: [
      {
        message: 'Musíte vybrat obrázek!',
        required: true,
      },
    ],
  },
  ARTICLE_TYPE: {
    rules: [
      {
        message: 'Musíte zvolit typ!',
        required: true,
      },
    ],
  },
  SIGNUP_USERNAME: {
    rules: [
      {
        message: 'Zadejte uživatelské jméno!',
        required: true,
      },
    ],
  },
  SIGNUP_EMAIL: {
    rules: [
      {
        type: 'email',
        message: 'Email není validní!',
      },
      {
        message: 'Zadejte email!',
        required: true,
      },
    ],
  },
};

export default RULES;
