import gql from 'graphql-tag';

export const SEARCH_ARTICLES = gql`
  query searchArticles($searchText: String!, $limit: Int, $start: Int) {
    searchArticles(searchText: $searchText, limit: $limit, start: $start) {
      _id
      image
      title
      slug
      text
      type
      category {
        _id
        slug
      }
    }
  }
`;

export const SEARCH_ARTICLE_COUNT = gql`
  query searchArticleCount($searchText: String!) {
    searchArticleCount(searchText: $searchText)
  }
`;
