import { articleModel } from '../model/article';

export default async (id: string) => {
  const article = await articleModel.findByIdAndDelete(id);
  if (!article) {
    throw new Error('Článek nenalezen');
  }
  return article._id;
};
