const get = require('lodash/get');

const codes = {
  UsernameExistsException: 'Uživatelské jméno už existuje',
  InvalidParameterException: 'Nevalidní údaje',
};

export default (error: { code: string; message: string }) =>
  get(codes, error.code, error.message);
