import {
  GraphQLInputObjectType,
  GraphQLInt,
  GraphQLNonNull,
  GraphQLString,
} from 'graphql';
import { GraphQLUpload } from 'graphql-upload';

export default new GraphQLInputObjectType({
  name: 'EditArticle',
  fields: {
    _id: {
      type: GraphQLString,
    },
    video: {
      type: GraphQLString,
    },
    image: {
      type: GraphQLUpload,
    },
    title: {
      type: new GraphQLNonNull(GraphQLString),
    },
    categoryId: {
      type: GraphQLString,
    },
    text: {
      type: GraphQLString,
    },
    status: {
      type: GraphQLInt,
    },
    type: {
      type: new GraphQLNonNull(GraphQLInt),
    },
  },
});
