import { GraphQLInt } from 'graphql';
import countArticles from '../../../articles/countArticles';
import getCurrentUserId from '../../users/lib/getCurrentUserId';

export default {
  type: GraphQLInt,
  args: {},
  resolve: async (
    parent: any,
    {  }: any,
    request: Request,
  ): Promise<number> => {
    const userId = await getCurrentUserId(request);
    return countArticles({ userId });
  },
};
