import { GraphQLEnumType } from 'graphql';
import { Groups } from '../../../../shared/types/permissions';

export default new GraphQLEnumType({
  name: 'UserGroup',
  values: {
    [Groups.admin]: {
      value: Groups.admin,
    },
    [Groups.office]: {
      value: Groups.office,
    },
    [Groups.external]: {
      value: Groups.external,
    },
    [Groups.registered]: {
      value: Groups.registered,
    },
  },
});
