import { AttributeListType } from 'aws-sdk/clients/cognitoidentityserviceprovider';

const findSubInAttributes = (attributes: AttributeListType): string | null => {
  const found = attributes.find(item => item.Name === 'sub');

  if (found && found.Value) {
    return found.Value;
  }

  return null;
};

export default findSubInAttributes;
