import { Types } from 'mongoose';
const mongoose = require('mongoose');

export const articleSchema = new mongoose.Schema({
  title: String,
  slug: String,
  categoryId: Types.ObjectId,
  image: String,
  video: String,
  text: String,
  createdDateTime: Date,
  type: Number,
  status: Number,
  userId: String,
});

articleSchema.index({ '$**': 'text' });
mongoose.model('Article', articleSchema);
export const articleModel = mongoose.model('Article');
