import { IScoreDb } from '../../shared/types/score';
import { scoreModel } from '../model/score';

interface IProps {
  itemId: string;
  userId: string;
}

export default async ({ itemId, userId }: IProps): Promise<IScoreDb> =>
  scoreModel.findOne({ itemId, userId });
