export enum Groups {
  admin = 'admin',
  office = 'office',
  external = 'external',
  registered = 'registered',
}

const allGroups = [
  Groups.admin,
  Groups.external,
  Groups.registered,
  Groups.office,
];

/* Comments */
export const createCommentPermissions = allGroups;
export const scorePermission = allGroups;

/* Admin */
export const adminAvailablePermission = [
  Groups.office,
  Groups.admin,
  Groups.external,
];

/* Article */
export const articleAvailablePermissions = [
  Groups.office,
  Groups.admin,
  Groups.external,
];
export const createArticlePermissions = [
  Groups.office,
  Groups.admin,
  Groups.external,
];
export const deleteArticlePermissions = [
  Groups.office,
  Groups.admin,
  Groups.external,
];
export const editArticlePermissions = [
  Groups.office,
  Groups.admin,
  Groups.external,
];
export const createTopArticlePermissions = [Groups.office, Groups.admin];

/* Category */
export const categoryAvailablePermissions = [Groups.admin];
export const createCategoryPermissions = [Groups.admin];
export const deleteCategoryPermissions = [Groups.admin];
export const sortCategoriesPermissions = [Groups.admin];

/* Editors */
export const editorsAvailablePermissions = [Groups.office, Groups.admin];
export const changeArticleStatusPermissions = [Groups.office, Groups.admin];

/* Reports */
export const reportsAvailablePermissions = [Groups.office, Groups.admin];

/* Users */
export const usersAvailablePermissions = [Groups.office, Groups.admin];
