import * as React from 'react';
import { Mutation } from 'react-apollo';
import { SETTINGS_CATEGORIES } from '../../queries';
import { CREATE_CATEGORY } from '../mutations';
import CreateCategoryForm from './CreateCategoryForm';

const CreateCategory = () => (
  <Mutation
    mutation={CREATE_CATEGORY}
    refetchQueries={[{ query: SETTINGS_CATEGORIES }]}
  >
    {(createCategory, { loading }) => {
      return (
        <CreateCategoryForm
          createCategory={createCategory}
          isLoading={loading}
        />
      );
    }}
  </Mutation>
);

export default CreateCategory;
