import gql from 'graphql-tag';
import { ARTICLE_FRAGMENT } from '../../article/fragments';

export const DELETE_ARTICLE = gql`
  mutation($_id: String!) {
    deleteArticle(_id: $_id) {
      _id
    }
  }
`;

export const CHANGE_ARTICLE_STATUS = gql`
  mutation($_id: String!, $status: Int!) {
    changeArticleStatus(_id: $_id, status: $status) {
      ...ArticleFragment
    }
  }
  ${ARTICLE_FRAGMENT}
`;
