import gql from 'graphql-tag';

export const ARTICLE_FRAGMENT = gql`
  fragment ArticleFragment on Article {
    _id
    image
    title
    slug
    text
    type
    status
    video
    createdDateTime
    user {
      username
    }
    category {
      _id
      title
      slug
    }
  }
`;
