import { ArticleTypes, IArticle } from '../../../shared/types/article';

export const getArticlePath = (article: IArticle) => {
  if (article.type === ArticleTypes.recenze) {
    return `/${article.category.slug}/${article.slug}`;
  }
  if (article.type === ArticleTypes.prehledy) {
    return `/prehledy/${article.slug}`;
  }
  if (article.type === ArticleTypes.zakulisi) {
    return `/zakulisi/${article.slug}`;
  }

  return '/not-found';
};
