import * as React from 'react';
import { Mutation } from 'react-apollo';
import { SIGNUP } from '../mutations';
import SignupForm from './SignupForm';

const Signup = () => (
  <Mutation mutation={SIGNUP}>
    {(signup, { loading, error }) => {
      return <SignupForm signup={signup} isLoading={loading} />;
    }}
  </Mutation>
);

export default Signup;
