export type AUTH_STATE_AUTHENTICATED = 'authenticated';
export type AUTH_STATE_FORGOT_PASSWORD = 'forgotPassword';
export type AUTH_STATE_SET_NEW_PASSWORD = 'setNewPassword';
export type AUTH_STATE_SIGN_IN = 'signIn';
export type AUTH_STATE_SIGNED_OUT = 'signedOut';
export type AUTH_STATE_FORGOT_PASSWORD_SUBMIT = 'forgotPasswordSubmit';
export type AUTH_STATE_DEFAULT = 'default';
export type AUTH_STATE_SIGNUP = 'signup';

export type AUTH_STATE =
  | AUTH_STATE_AUTHENTICATED
  | AUTH_STATE_FORGOT_PASSWORD
  | AUTH_STATE_SET_NEW_PASSWORD
  | AUTH_STATE_SIGN_IN
  | AUTH_STATE_SIGNED_OUT
  | AUTH_STATE_DEFAULT
  | AUTH_STATE_SIGNUP
  | AUTH_STATE_FORGOT_PASSWORD_SUBMIT;

// Auth states
export const AUTH_STATE_AUTHENTICATED: AUTH_STATE_AUTHENTICATED =
  'authenticated';
export const AUTH_STATE_FORGOT_PASSWORD: AUTH_STATE_FORGOT_PASSWORD =
  'forgotPassword';
export const AUTH_STATE_FORGOT_PASSWORD_SUBMIT: AUTH_STATE_FORGOT_PASSWORD_SUBMIT =
  'forgotPasswordSubmit';
export const AUTH_STATE_SET_NEW_PASSWORD: AUTH_STATE_SET_NEW_PASSWORD =
  'setNewPassword';
export const AUTH_STATE_SIGNED_OUT: AUTH_STATE_SIGNED_OUT = 'signedOut';
export const AUTH_STATE_DEFAULT: AUTH_STATE_DEFAULT = 'default';
export const AUTH_STATE_SIGNUP: AUTH_STATE_SIGNUP = 'signup';

// redux
export type AUTH_SET_AUTH_STATE = 'AUTH_SET_AUTH_STATE';
export type AUTH_SET_AUTH_DATA = 'AUTH_SET_AUTH_DATA';
export type AUTH_SIGN_IN = 'AUTH_SIGN_IN';
export type AUTH_SET_NEW_PASSWORD = 'AUTH_SET_NEW_PASSWORD';
export type AUTH_LOGOUT_USER = 'AUTH_LOGOUT_USER';
export type AUTH_SET_IS_LOADING = 'AUTH_SET_IS_LOADING';

export const AUTH_SET_AUTH_STATE: AUTH_SET_AUTH_STATE = 'AUTH_SET_AUTH_STATE';
export const AUTH_SET_AUTH_DATA: AUTH_SET_AUTH_DATA = 'AUTH_SET_AUTH_DATA';
export const AUTH_SIGN_IN: AUTH_SIGN_IN = 'AUTH_SIGN_IN';
export const AUTH_SET_NEW_PASSWORD: AUTH_SET_NEW_PASSWORD =
  'AUTH_SET_NEW_PASSWORD';
export const AUTH_LOGOUT_USER: AUTH_LOGOUT_USER = 'AUTH_LOGOUT_USER';
export const AUTH_SET_IS_LOADING: AUTH_SET_IS_LOADING = 'AUTH_SET_IS_LOADING';
