import gql from 'graphql-tag';

export const ARTICLE = gql`
  query article($slug: String!) {
    article(slug: $slug) {
      _id
      image
      title
      slug
      text
      type
      category {
        _id
        slug
      }
      comments {
        _id
        text
        createdDateTime
        user {
          username
        }
        averageScore
      }
    }
  }
`;
