import Typography from 'antd/lib/typography';
import * as React from 'react';
const { Text } = Typography;

interface IProps {
  value?: number;
}

const AverageScore = ({ value }: IProps) => (
  <Text type="secondary">
    {value !== undefined && value !== null ? `Hodnocení: ${value}` : null}
  </Text>
);

export default AverageScore;
