import * as React from 'react';
import HelmetAsync from 'react-helmet-async';

const Helmet = ({ title }: { title?: string }) => (
  <HelmetAsync>
    <meta charSet="utf-8" />
    <title>{`${title ? `${title} - ` : ''}KUKR.cz${
      !title
        ? ` - recenze filmů, divadelních her a dalších uměleckých představení`
        : ''
    }`}</title>
  </HelmetAsync>
);

export default Helmet;
