import * as React from 'react';
import styled from 'styled-components';
import Spin from './Spin';

const Wrapper = styled.div`
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  top: 0;
  left: 0;
  position: absolute;
`;

const Loader = () => (
  <Wrapper>
    <Spin size={30} />
  </Wrapper>
);

export default Loader;
