import Icon from 'antd/lib/icon';
import AntdSpin from 'antd/lib/spin';
import * as React from 'react';

interface IProps {
  size: number;
}

const Spin = ({ size }: IProps) => (
  <AntdSpin
    indicator={<Icon type="loading" style={{ fontSize: size }} spin={true} />}
  />
);
export default Spin;
