import AntdTable, { TableProps } from 'antd/lib/table';
import * as React from 'react';
import Spin from './Spin';

interface IProps extends TableProps<{}> {
  loading: boolean;
}

const Table = (props: IProps) => (
  <AntdTable
    {...props}
    size="middle"
    loading={{
      spinning: props.loading,
      indicator: <Spin size={20} />,
    }}
  />
);

export default Table;
