import * as React from 'react';
import { MockedProvider } from 'react-apollo/test-utils';
import { create } from 'react-test-renderer';
import CreateScore from '../CreateScore';

const props = {
  itemId: 'itemId',
  refetchQueries: [],
  value: 5,
};

describe('<CreateScore />', () => {
  it('should render', () => {
    const tree = create(
      <MockedProvider mocks={[]}>
        <CreateScore {...props} />
      </MockedProvider>,
    ).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
